package com.wartbar.cisystem;

import java.io.IOException;
import java.net.NetworkInterface;
import java.net.InetAddress;
import java.util.Enumeration;

public class FindIPAddress {

  public static void checkNet(String addressPattern) throws Exception
  {
    Enumeration<NetworkInterface> interfaces = NetworkInterface.getNetworkInterfaces();
    while (interfaces.hasMoreElements())
    {
      NetworkInterface ni = interfaces.nextElement();

      Enumeration<InetAddress> addresses = ni.getInetAddresses();
      while (addresses.hasMoreElements())
      {
        InetAddress address = addresses.nextElement();
        String addressString = address.getHostAddress();
        if (addressString.contains(addressPattern)) {
          System.out.println("Your address is : " + addressString);
        }
      }
    }
  }

  public static void main(String... args) throws IOException {

    try {
      checkNet("10.0.0.");
    } catch(Exception e) {
      System.out.println(e.getMessage());
    }
  }
}
